Subject: Re: fix source

From: Zheng Gengbing <[email-masked]>
Date: Tue, 9 Apr 1996 10:37:38 +0800 (EAT)

On Mon, 8 Apr 1996, Guansong Zhang wrote:

> On Apr 8,  5:05pm, Zheng Gengbing wrote:
> > Subject: Re: fix source
> >
> 
> Sure. You are right. Add this def in hpfcc/Makefile please, and add
> corresponding things under install, uninstall. Once you successfully update
> 1.25, please let me know, so I can follow you.
>

	I'v completed it . I put the compressed file in the home dir ,
 ' hpfFrontEnd-1.25.tar.gz'.  The part I changed is the Makefiles in this
version . The make uninstall cannot work before I modified them . And I 
deleted the @ in front of the  @rm ... to make  the progress clear .

> >
> > > >
> > > > > 4. things under src/tool
> > > > >
> > > > > In 1.22, I let the thing under src/tool are same in both PKU and HIT
> > > version. I
> > > > > noticed unparse.c was change, (with an empty function added) it must
> for
> > > gcc in
> > > > > your machine.
> > > >
> > > > 	That's right , since we have a low version of gcc .
> > >
> > > Remember this, we may meet this kind of thing when we try to port our work
> to
> > > multi-platforms.
> > >
> >
> >
> > 	That is really a common problem . I'v seen many free softwares have
> > this problem.
> >
> 
> In that case, this kind of thing should be take care of when 
configure, as I
> saild, we will use autoconfig to do this. But at present time it seems none of
> us have spare time to care this yet.
>

	I'v got the autoconfig from ftp , but  it cannot work now. 

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************